EDIT - feature request #10206

Add publish flag to description base
12/16/2022 08:47 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal

Description

WGB:

wir haben den Fall von Rovaeanthus strigosus (Benth.) Borhidi
Dort gibt es jetzt 3 factual datasets:

[0 Taxon Facts &2

Description copied from former accepted taxon: Rogiera strigosa (Benth.) Borhidi sec. Lorence 2011 (Old title: Factual data set from COMNABIO Eflora f...
Factual data set from COMABIO Eflera for Rovaeanthus strigosus (Benth.) Borhidi
Factual data set from Torres-Montdfar, A, 8 Ochoterena, H. 2019 for Rovaeanthus strigosus (Benth.) Borhidi

Im Portal-Output (und vermutlich auch in CDM-I) werden diese gemerged. Das ergibt hier falsche Daten, da die CONABIO Daten
teilweise inkorrekt sind. Andereseits ware es nicht gut, diese zu I6schen, da sie ja gut mit Quellen dokumentiert sind.

Frage: Gibt es eine Méglichkeit, einen (in diesem Fall den letzten) als ,publish“ zu markieren? Oder mehrere, die dann gemerged
werden. Oder umgekehrt, eine Negativmarkierung

AM:

nein, ein publish Flag fur die Factual Datasets gibt es noch nicht. Da gab es bislang keinen Bedarf. Filtern kannst du bislang nur tUber
die Features, aber die stimmen vermutlich hier Uberein und dienen nicht als Filter, nehme ich an.

Ich kénnte mir vorstellen, dass das auch in anderen Kontexten bendtigt werden kénnte, also z.B. wenn bestimmte unpublizierte
Daten an Taxa geh&ngt werden sollen, die ansonsten bereits public sind. Ich lege mal ein Ticket an. Vermutlich ist das auch nicht zu
kompliziert zu implementieren in diesem Fall.

Note: for implementation we coud use DescriptionBase.types enumeration. Tasks:

e add new DescriptionType "unpbulished" (or "publish" which is more in line with publish flag implementation at other places, but
then we need an update script)

¢ make this flag editable in TaxEditor (other types should not be editable currently)

e evaluate the flag in the facts webservice (most important the one used for portal taxon pages, also important for specimen
pages, finally check also other webservices)

e same for the cdm light export

Related issues:

Related to EDIT - feature request #8138: [DISCUSS] Publish flag for facts and... Closed
Related to EDIT - task #8424: evaluate publish flags in the full derivative path New
Related to EDIT - feature request #10333: Make publish flag editable for Desc... Closed
Related to EDIT - feature request #10334: Evaluate DescriptionBase.publish in... Closed
Related to EDIT - bug #7716: Apply description sources (references) for a Des... In Progress
Related to EDIT - feature request #8930: Publishable objects should show icon... Closed

Associated revisions

Revision 0c0c7102 - 05/30/2023 12:25 PM - Andreas Miiller
ref #10206 add publish flag to description base

Revision facc598e - 05/30/2023 03:26 PM - Andreas Miiller
ref #10206 add fix taxeditor tests for DescriptionBase.publish
Revision dd08b113 - 05/30/2023 05:22 PM - Andreas Miiller
ref #10206 add IPublishable to DescriptionBase

Revision a40573a8 - 05/30/2023 08:42 PM - Andreas Miiller

ref #10206 add hibernate search annotations to DescriptionBase.publish

Revision 6b19f270 - 01/19/2024 03:00 PM - Andreas Miiller
ref #10206 add publish flag to CdmLight and ColDP export in cdmlib

History

#1 - 12/16/2022 08:49 PM - Andreas Miiller
- Related to feature request #8138: [DISCUSS] Publish flag for facts and type designations added
- Related to task #8424: evaluate publish flags in the full derivative path added

#2 - 01/10/2023 11:02 PM - Andreas Miiller
- Tags set to mexico

- Priority changed from New to Highest

First we need to check how easy it is to use the enumset for query filtering. If it is easy we may use the enumset, otherwise better use a flag (boolean
orint).

#3 - 01/10/2023 11:03 PM - Andreas Miiller
WGB:

Hatten wir eigentlich schon die Sache mit den Factual Datasets zur Publikation diskutiert?

Wir haben ja die CONABIO Daten als Grundlage. Die revidierten Daten stellen wir in einen neuen, anders referenzierten Dataset. Es gibt aber keine
Méglichkeit, diesem in der Ausgabe Preferenz tiber den von CONABIO zu geben. Man muss also die CONABIO Daten I6schen, damit das nicht
nebeneinander stehen bleibt — was nicht gut ist, da dieser gut referenziert ist und man daher die Fehler der Vorautoren (auf TaxEditor Seite)
transparent macht.

Eine Lésung ware, praktisch jedem Fact auch ein publish flag beizustellen, dann kann man detailliert kontrollieren.

Eine andere wére, neue Fact Categories fiir die zu publizierenden Daten zu kreieren (also z.B. eFM-Description) und dann nur diese in den Feature
tree zu Ubernehmen — was dann aber die CONABIO Daten fiur die nicht bearbeiteten Arten ausschlieBen wirde. Daher misste man fur diese
(pragmatische) Lésung dann CONABIO Daten erstmal zusétzlich in diese neuen Categories stellen (mit individueller Referenzierung, also nicht auf
Dataset-Ebene, die dann Uberschrieben werden kann), so dass sie zunachst benutzt werden.

#4 - 01/11/2023 01:10 PM - Andreas Miiller

- Status changed from New to In Progress

#5 - 05/27/2023 09:35 PM - Andreas Miuller

- Target version changed from Release 5.44 to Release 5.38

#6 - 05/28/2023 12:09 PM - Andreas Miuller

- Status changed from In Progress to Resolved

#7 - 05/28/2023 12:09 PM - Andreas Miiller
- % Done changed from 0 to 70

#8 - 05/28/2023 12:10 PM - Andreas Miuller

- Category changed from cdmlib to cdm

#9 - 05/28/2023 12:28 PM - Andreas Miiller
- Related to feature request #10333: Make publish flag editable for DescriptionBase added

#10 - 05/28/2023 12:45 PM - Andreas Miiller

- Related to feature request #10334: Evaluate DescriptionBase.publish in webservices added

#11 - 05/28/2023 01:17 PM - Andreas Miiller

- Related to bug #7716: Apply description sources (references) for a DescriptionBase to all included description elements added
#12 - 05/30/2023 08:44 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

#13 - 06/01/2023 12:02 PM - Andreas Miiller
- Related to feature request #8930: Publishable objects should show icon if they are unpublished added
